support signed v4l2loopback dkms build

Bug #1938531 reported by You-Sheng Yang
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
In Progress
High
Shih-Yuan Lee
linux (Ubuntu)
Fix Released
High
You-Sheng Yang
Focal
Invalid
Undecided
Unassigned
linux-oem-5.10 (Ubuntu)
Invalid
Undecided
Unassigned
Focal
Fix Committed
High
You-Sheng Yang
linux-oem-5.13 (Ubuntu)
Invalid
Undecided
Unassigned
Focal
Fix Released
High
You-Sheng Yang
linux-oem-5.14 (Ubuntu)
Invalid
Undecided
Unassigned
Focal
Fix Released
High
You-Sheng Yang

Bug Description

[SRU Justification]

[Impact]

v4l2loopback is used as a critical role on Intel IPU6 camera platforms,
which takes userspace middleware involvements to correctly configure
hardware sensors. While all the legacy camera applications are not yet
learned how to support libcamera, v4l2loopback and a v4l2-relayd step in
as a video streaming proxy for backward compatibility.

To preinstall v4l2loopback kernel module on secureboot systems, signed
modules should be used.

[Fix]

All Ubuntu specific changes to enable signed v4l2loopback dkms builds.

[Test Case]

Install signed modules package and check `modinfo v4l2loopback`.

[Where problems could occur]

N/A.

[Other Info]

This adds current revision of v4l2loopback in the ubuntu archive. While
some other fixes are also needed for v4l2loopback/focal, expects version
bumps recently.

Revision history for this message
You-Sheng Yang (vicamo) wrote :

testing signed v4l2loopback-dkms build in ppa:vicamo/linux-staging, version 5.10.0-9042.44+staging.1 and 5.13.0-9010.11+staging.8.

Changed in linux-oem-5.13 (Ubuntu):
status: New → Invalid
Changed in linux-oem-5.10 (Ubuntu):
status: New → Invalid
Changed in linux-oem-5.14 (Ubuntu):
status: New → Invalid
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1938531

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Focal):
status: New → Incomplete
Revision history for this message
You-Sheng Yang (vicamo) wrote :
description: updated
description: updated
Changed in linux-oem-5.10 (Ubuntu Focal):
status: New → In Progress
importance: Undecided → High
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux-oem-5.13 (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux-oem-5.14 (Ubuntu Focal):
assignee: nobody → You-Sheng Yang (vicamo)
Changed in linux-oem-5.13 (Ubuntu Focal):
importance: Undecided → High
Changed in linux-oem-5.14 (Ubuntu Focal):
importance: Undecided → High
Changed in linux-oem-5.13 (Ubuntu Focal):
status: New → In Progress
Changed in linux-oem-5.14 (Ubuntu Focal):
status: New → In Progress
Changed in linux (Ubuntu Focal):
status: Incomplete → Invalid
Changed in linux (Ubuntu):
status: Incomplete → In Progress
importance: Undecided → High
assignee: nobody → You-Sheng Yang (vicamo)
tags: added: oem-priority originate-from-1949435 somerville
Changed in oem-priority:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Shih-Yuan Lee (fourdollars)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.15.0-17.17

---------------
linux (5.15.0-17.17) jammy; urgency=medium

  * jammy/linux: 5.15.0-17.17 -proposed tracker (LP: #1957809)

 -- Andrea Righi <email address hidden> Thu, 13 Jan 2022 17:11:21 +0100

Changed in linux (Ubuntu):
status: In Progress → Fix Released
AceLan Kao (acelankao)
Changed in linux-oem-5.10 (Ubuntu Focal):
status: In Progress → Fix Committed
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.14 (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux-oem-5.14/5.14.0-1021.23 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Revision history for this message
You-Sheng Yang (vicamo) wrote :

verified linux-oem-5.14 version 5.14.0-1021-oem from focal-proposed. v4l2loopback prebuilt and signed:

filename: /lib/modules/5.14.0-1021-oem/kernel/v4l2loopback/v4l2loopback.ko
license: GPL
author: Vasily Levin, IOhannes m zmoelnig <email address hidden>,Stefan Diewald,Anton Novikovet al.
description: V4L2 loopback video device
srcversion: 594E0DE21110E9D51B89C6B
depends: videodev
retpoline: Y
name: v4l2loopback
vermagic: 5.14.0-1021-oem SMP mod_unload modversions
sig_id: PKCS#7
signer: Build time autogenerated kernel key
sig_key: 6C:35:3A:49:55:DE:E5:56:21:AF:39:94:1F:E9:02:C3:2E:29:81:39
sig_hashalgo: sha512
signature: B9:3B:A0:FD:54:81:5A:F6:76:B2:C0:52:FE:C4:B0:7D:3D:8F:D7:BC:
...

tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (75.3 KiB)

This bug was fixed in the package linux-oem-5.13 - 5.13.0-1029.36

---------------
linux-oem-5.13 (5.13.0-1029.36) focal; urgency=medium

  * focal/linux-oem-5.13: 5.13.0-1029.36 -proposed tracker (LP: #1955196)

  * support signed v4l2loopback dkms build (LP: #1938531)
    - support v4l2loopback dkms build
    - enable v4l2loopback builds on oem kernels

  * Packaging resync (LP: #1786013)
    - debian/dkms-versions -- update from kernel-versions (main/2022.01.03)

  * Add missing BT ID for Qualcomm WCN6856 (LP: #1956407)
    - Bluetooth: btusb: Add one more Bluetooth part for WCN6855

  * Add Bluetooth support for Qualcomm WCN6856 (LP: #1955689)
    - Bluetooth: btusb: Add support using different nvm for variant WCN6855
      controller
    - Bluetooth: btusb: re-definition for board_id in struct qca_version
    - Bluetooth: btusb: Add the new support IDs for WCN6855

  [ Ubuntu: 5.13.0-28.31 ]

  * amd_sfh: Null pointer dereference on early device init causes early panic
    and fails to boot (LP: #1956519)
    - HID: amd_sfh: Fix potential NULL pointer dereference
  * impish: ddebs build take too long and times out (LP: #1957810)
    - [Packaging] enforce xz compression for ddebs
  * audio mute/ mic mute are not working on a HP machine (LP: #1955691)
    - ALSA: hda/realtek: fix mute/micmute LEDs for a HP ProBook
  * rtw88_8821ce causes freeze (LP: #1927808)
    - rtw88: Disable PCIe ASPM while doing NAPI poll on 8821CE
  * alsa/sdw: fix the audio sdw codec parsing logic in the acpi table
    (LP: #1955686)
    - ALSA: hda: intel-sdw-acpi: harden detection of controller
    - ALSA: hda: intel-sdw-acpi: go through HDAS ACPI at max depth of 2
  * icmp_redirect from selftests fails on F/kvm (unary operator expected)
    (LP: #1938964)
    - selftests: icmp_redirect: pass xfail=0 to log_test()
  * Impish update: upstream stable patchset 2021-12-17 (LP: #1955180)
    - arm64: zynqmp: Do not duplicate flash partition label property
    - arm64: zynqmp: Fix serial compatible string
    - ARM: dts: sunxi: Fix OPPs node name
    - arm64: dts: allwinner: h5: Fix GPU thermal zone node name
    - arm64: dts: allwinner: a100: Fix thermal zone node name
    - staging: wfx: ensure IRQ is ready before enabling it
    - ARM: dts: NSP: Fix mpcore, mmc node names
    - scsi: lpfc: Fix list_add() corruption in lpfc_drain_txq()
    - arm64: dts: rockchip: Disable CDN DP on Pinebook Pro
    - arm64: dts: hisilicon: fix arm,sp805 compatible string
    - RDMA/bnxt_re: Check if the vlan is valid before reporting
    - bus: ti-sysc: Add quirk handling for reinit on context lost
    - bus: ti-sysc: Use context lost quirk for otg
    - usb: musb: tusb6010: check return value after calling
      platform_get_resource()
    - usb: typec: tipd: Remove WARN_ON in tps6598x_block_read
    - ARM: dts: ux500: Skomer regulator fixes
    - staging: rtl8723bs: remove possible deadlock when disconnect (v2)
    - ARM: BCM53016: Specify switch ports for Meraki MR32
    - arm64: dts: qcom: msm8998: Fix CPU/L2 idle state latency and residency
    - arm64: dts: qcom: ipq6018: Fix qcom,controlled-remotely property
    - arm64: dts: freescale: fix arm,sp805 compatible string
    - AS...

Changed in linux-oem-5.13 (Ubuntu Focal):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.14 - 5.14.0-1022.24

---------------
linux-oem-5.14 (5.14.0-1022.24) focal; urgency=medium

  * focal/linux-oem-5.14: 5.14.0-1022.24 -proposed tracker (LP: #1959585)

  * Got black screen when resume from s2idle with AMD dGPU (LP: #1955790)
    - drm/amdgpu: don't do resets on APUs which don't support it

  * CVE-2022-0330
    - drm/i915: Flush TLBs before releasing backing store

  * CVE-2022-22942
    - SAUCE: drm/vmwgfx: Fix stale file descriptors on failed usercopy

  * CVE-2022-23222
    - bpf: Don't promote bogus looking registers after null check.
    - bpf, selftests: Add verifier test for mem_or_null register with offset.

  * CVE-2022-24122
    - ucount: Make get_ucount a safe get_user replacement

  * The display output on type-c hub doesn't work on ADL platform (LP: #1959061)
    - SAUCE: drm/i915/adlp: Fix TypeC PHY-ready status readout

 -- Timo Aaltonen <email address hidden> Mon, 31 Jan 2022 17:45:20 +0200

Changed in linux-oem-5.14 (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers